R=100; % 输入信号的长度
n=rand(1,R)-1; % 产生(-1,1)均匀分布的随机噪声
k=0:R-1;
s=k.*(0.8.^k); % 原始的有用信号
r=s+n; % 加噪信号
figure;
subplot(1, 2, 1)
plot(k,d,'r-',k,s,'b:',k,f,'k-');
xlabel('time index k');legend('n[k]','s[k]','r[k]');
m=5; b=ones(m,1)/m; a=1;
y=filter(b,a,f);
subplot(1, 2, 2);
plot(k,s,'b:',k,y,'r-');
xlabel('time index k'); legend('s[k]','y[k]');